vim_dir: "{{ ansible_user_dir }}/.vim"
directories:
  - path: "{{ vim_dir }}/colors"
  - path: "{{ vim_dir }}/pack/plugins/start"

git_repos:
  - src: https://github.com/gcmt/taboo.vim.git
    dest: "{{ ansible_user_dir }}/src/taboo.vim"
  - src: https://github.com/vim-scripts/indentpython.vim
    dest: "{{ ansible_user_dir }}/src/indentpython.vim"
  - src: https://github.com/pearofducks/ansible-vim
    dest: "{{ ansible_user_dir }}/src/ansible-vim"
  - src: https://github.com/sheerun/vim-polyglot
    dest: "{{ ansible_user_dir }}/src/vim-polyglot"
  - src: https://github.com/digitaltoad/vim-pug
    dest: "{{ ansible_user_dir }}/src/vim-pug"

symlinks:
  - target: "{{ ansible_user_dir }}/src/taboo.vim"
    path: "{{ ansible_user_dir }}/.vim/pack/plugins/start/taboo.vim"
  - target: "{{ ansible_user_dir }}/src/indentpython.vim"
    path: "{{ ansible_user_dir }}/.vim/pack/plugins/start/indentpython.vim"
  - target: "{{ ansible_user_dir }}/src/ansible-vim"
    path: "{{ ansible_user_dir }}/.vim/pack/plugins/start/ansible-vim"
  - target: "{{ ansible_user_dir }}/src/vim-polyglot"
    path: "{{ ansible_user_dir }}/.vim/pack/plugins/start/vim-polyglot"
  - target: "{{ ansible_user_dir }}/src/vim-pug"
    path: "{{ ansible_user_dir }}/.vim/pack/plugins/start/vim-pug"
